SDL_ResetKeyboard(3)

NAME
SDL_ResetKeyboard - Clear the state of the keyboard.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_ResetKeyboard(void);

DESCRIPTION
This function will generate key up events for all pressed keys.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetKeyboardState(3)